Mail Admin Quarantine API

Manages email messages held in Google Workspace admin quarantines.

Service: mailadminquarantine.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://mailadminquarantine.googleapis.com

REST Resource: v1.customers.operations

Methods
get GET /v1/{name=customers/*/operations/*}
Gets the latest state of a long-running operation.

REST Resource: v1.customers.quarantinedMessages

Methods
batchDeny POST /v1/{parent=customers/*}/quarantinedMessages:batchDeny
Denies a list of messages asynchronously.
batchRelease POST /v1/{parent=customers/*}/quarantinedMessages:batchRelease
Releases a list of messages asynchronously.
deny POST /v1/{name=customers/*/quarantinedMessages/*}:deny
Denies a message from a quarantine.
get GET /v1/{name=customers/*/quarantinedMessages/*}
Gets metadata and content for a quarantined message.
list GET /v1/{parent=customers/*}/quarantinedMessages
Queries for quarantined messages using specific filter conditions.
release POST /v1/{name=customers/*/quarantinedMessages/*}:release
Releases a message from a quarantine to be delivered to the recipients.
search POST /v1/{parent=customers/*}/quarantinedMessages:search
Searches for quarantined messages using specific search queries.

REST Resource: v1.customers.quarantines

Methods
get GET /v1/{name=customers/*/quarantines/*}
Gets a quarantine.
list GET /v1/{parent=customers/*}/quarantines
Returns a list of all quarantines defined by this customer.